package jp.yoyoyoyo.webform.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import jp.yoyoyoyo.webform.form.EntryForm;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

public class ThankyouAction extends Action  {

	public ActionForward execute(ActionMapping mapping,
								ActionForm form,
								HttpServletRequest request,
								HttpServletResponse response){
	
		// セッションオブジェクトの生成
		HttpSession session = request.getSession();
		// セッションの取得
		EntryForm entryForm = (EntryForm)session.getAttribute("entryData");
		// セッションが存在しないときはメインテナンス画面へ
		if(entryForm == null){
			return mapping.findForward("maintenance");
		}
	
		// セッションのクリア
		session.invalidate();
		
		// 完了画面の表示
		return mapping.findForward("thankyou");
	}
}
